
#include <libguile.h>
#include <guile/gh.h>

SCM new_number_exp (int i);
SCM new_boolean_exp (int b);
SCM new_variable_exp (char *vn);

SCM new_infix_exp (char *operator_string, SCM left, SCM right);
SCM new_unary_exp (char *operator_string, SCM a);
SCM new_quant_operator (char *operator_string);
SCM new_quant_exp (SCM operator, SCM dummies, SCM range, SCM term);

SCM new_type_exp (char *type_name);

SCM new_exp_list ();
SCM append_to_exp_list (SCM el, SCM e);

SCM parse_gcl (char *expression);
